# Comment on a passage of a document (the quoted words), or reply to a comment

`POST /documents/{id}/comments` · Rivier · content

Comment on a passage of a document (the quoted words), or reply to a comment.

- Scope: content:write
- Mcp: rivier_document_comment
- Graphql: Mutation.contentDocumentComment
- Sdk: content.document.comment
- Cli: content document comment

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "body": {
      "type": "string",
      "maxLength": 4000
    },
    "quote": {
      "type": "string",
      "maxLength": 500
    },
    "parentId": {
      "type": "string",
      "format": "uuid"
    }
  },
  "required": [
    "body"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/documents/{id}/comments' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "body": "string"
}'
```
